aboutsummaryrefslogtreecommitdiffstats
path: root/main/perdition/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-02-23 09:35:03 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-02-23 09:49:39 +0000
commite3bf283ffc053f865f7d2bf607e5b518782fafb2 (patch)
tree2b2a0a0d8c69443ed8cff6386fd364459d7cb7af /main/perdition/APKBUILD
parent52b1fb5af93e3781ff3a719e034fbe15e28162c5 (diff)
downloadaports-e3bf283ffc053f865f7d2bf607e5b518782fafb2.tar.gz
aports-e3bf283ffc053f865f7d2bf607e5b518782fafb2.tar.bz2
aports-e3bf283ffc053f865f7d2bf607e5b518782fafb2.tar.xz
main/perdition: rebuild against gdbm-1.10 and create user properly
Diffstat (limited to 'main/perdition/APKBUILD')
-rw-r--r--main/perdition/APKBUILD17
1 files changed, 12 insertions, 5 deletions
diff --git a/main/perdition/APKBUILD b/main/perdition/APKBUILD
index 6d4ce2be78..470dc3ba91 100644
--- a/main/perdition/APKBUILD
+++ b/main/perdition/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Leonardo Arena <rnalrd@alpinelinux.org>
pkgname=perdition
pkgver=1.18
-pkgrel=3
+pkgrel=4
pkgdesc="A Mail retrieval proxy"
url="http://horms.net/projects/perdition/"
arch="all"
@@ -10,15 +10,21 @@ depends=
depends_dev="gdbm-dev openssl-dev popt-dev vanessa_adt-dev vanessa_logger-dev
vanessa_socket-dev"
makedepends="$depends_dev"
-install=$pkgname.post-install
+install=$pkgname.pre-install
subpackages="$pkgname-doc"
-source="http://horms.net/projects/perdition/download/$pkgver/$pkgname-$pkgver.tar.bz2"
+source="http://horms.net/projects/perdition/download/$pkgver/$pkgname-$pkgver.tar.bz2
+ gdbm-version.patch"
_builddir="$srcdir"/$pkgname-$pkgver
prepare() {
cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
return 0
}
@@ -28,10 +34,10 @@ build() {
--sysconfdir=/etc \
--mandir=/usr/share/man \
--infodir=/usr/share/info \
+ --enable-gdbm \
--disable-libtool-lock \
--disable-mysql \
--disable-odbc \
- --disable-db \
--disable-pg \
--disable-cdb \
--disable-nis \
@@ -51,4 +57,5 @@ package() {
install -m644 -D ../../$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
}
-md5sums="df84d5fc4ab78b94a9baf17c5790ba38 perdition-1.18.tar.bz2"
+md5sums="df84d5fc4ab78b94a9baf17c5790ba38 perdition-1.18.tar.bz2
+cfdd151cb92d2283151b8e48caf04337 gdbm-version.patch"